<?php

	#
	# $Id: example_address.php,v 1.3 2007/08/15 06:28:13 asc Exp $
	#

	$inc = ini_get("include_path");
	ini_set("include_path", "{$inc}:./FPDF");

	include("pmPDF.php");

	$args = array('folds' => 1, 'borders' => 0);
	$pdf = new pmPDF($args);

	$pdf->SetFont('Helvetica');
	$pdf->SetFontSize(10);

	$addr = "475 Sansome\nSan Francisco CA\n94111"; 

	# 
	
	$zoom = 3;
	$location = urlencode(str_replace("\n", " ", $addr));
	$req = "http://api.local.yahoo.com/MapsService/V1/mapImage?appid=YahooDemo&location={$location}&zoom={$zoom}&image_width=500&image_type=png";

	$res = $pdf->simple_get($req);

	$xml = new SimpleXMLElement($res);

	if (! $xml){
		return;
	}

	$tmp = tempnam("/tmp", time()) . ".png";

	$fh  = fopen($tmp, "w");
	fwrite($fh, $pdf->simple_get($xml));
	fclose($fh);

	$pdf->add_image($tmp, 2, array('h' => 1));
	$pdf->add_text($addr, 3);

	$pdf->add_image($tmp, 4, array('h' => 1));
	$pdf->add_text($addr, 4, array('x' => 1.25, 'y' => .25));

	$pdf->add_image($tmp, 6, array('h' => .75));
	$pdf->add_text($addr, 6, array('x' => 1, 'y' => .25));

	$pdf->add_image($tmp, 6, array('y' => 1, 'h' => .75));
	$pdf->add_text($addr, 6,  array('x' => 1, 'y' => 1.25,'resume' => false));

	$pdf->add_image($tmp, 6, array('y' => 2, 'h' => .75));
	$pdf->add_text($addr, 6, array('x' => 1, 'y' => 2.25, 'resume' => false));

	$res = $pdf->add_image($tmp, 7);
	$pdf->add_text($addr, 7, array('y' => $res['y']));

	$pdf->Output();
	unlink($tmp);

	exit;
?>